Summary:	PhpPgAdmin is intended to handle the adminstration of PostgreSQL over the web
Name:		phpPgAdmin
Version:	4.0.1
Release:	%mkrel 4
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/phppgadmin
Source0:	http://prdownloads.sourceforge.net/phppgadmin/%{name}-%{version}.tar.bz2
Patch0:		phpPgAdmin-4.0.1-mdv_conf.diff
Requires:	postgresql
Requires(pre):  apache-mod_php php-pgsql php-gettext
Requires:       apache-mod_php php-pgsql php-gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
BuildRequires:	recode
BuildRequires:	file
BuildRequires:	ImageMagick
BuildRequires:	apache-base >= 2.0.54
BuildArch:	noarch
Requires(post):	ccp >= 0.4.0
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
phpPgAdmin is phpMyAdmin (for MySQL) ported to PostgreSQL.
phpPgAdmin is a fully functional PostgreSQL administration
utility. You can use it to  create and maintain multiple databases
and even multiple servers.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

export DONT_RELINK=1

install -d %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}/var/www/%{name}

cp -aRf * %{buildroot}/var/www/%{name}/

mv %{buildroot}/var/www/%{name}/conf/config.inc.php-dist %{buildroot}%{_sysconfdir}/%{name}/config.inc.php
rm -rf %{buildroot}/var/www/%{name}/conf

# generate UTF-8 files
pushd lang
    make DESTDIR=./recoded
popd
install -m0644 lang/recoded/*.php  %{buildroot}/var/www/%{name}/lang/recoded/

# cleanup
pushd %{buildroot}/var/www/%{name}
    rm -rf sql
    rm -f CREDITS DEVELOPERS FAQ HISTORY INSTALL LICENSE TODO TRANSLATORS
    rm -f lang/Makefile lang/convert.awk lang/php2po lang/po2php lang/synch lang/langcheck
popd

cat > %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf << EOF

Alias /%{name} /var/www/%{name}

<Directory /var/www/%{name}>
    Allow from All
</Directory>

# Uncomment the following lines to force a redirect to a working 
# SSL aware apache server. This serves as an example.
# 
#<IfModule mod_ssl.c>
#    <LocationMatch /%{name}>
#        Options FollowSymLinks
#        RewriteEngine on
#        RewriteCond %{SERVER_PORT} !^443$
#        RewriteRule ^.*$ https://%{SERVER_NAME}%{REQUEST_URI} [L,R]
#    </LocationMatch>
#</IfModule>

EOF

# fix dir perms
find %{buildroot} -type d | xargs chmod 755

# fix file perms
find %{buildroot} -type f | xargs chmod 644

# install script to call the web interface from the menu.
install -d %{buildroot}%{_libdir}/%{name}/scripts
cat > %{buildroot}%{_libdir}/%{name}/scripts/%{name} <<EOF
#!/bin/sh

url='https://localhost/%{name}'
if ! [ -z "\$BROWSER" ] && ( which \$BROWSER ); then
  browser=\`which \$BROWSER\`
elif [ -x /usr/bin/mozilla-firefox ]; then
  browser=/usr/bin/mozilla-firefox
elif [ -x /usr/bin/konqueror ]; then
  browser=/usr/bin/konqueror
elif [ -x /usr/bin/lynx ]; then
  browser='xterm -bg black -fg white -e lynx'
elif [ -x /usr/bin/links ]; then
  browser='xterm -bg black -fg white -e links'
else
  xmessage "No web browser found, install one or set the BROWSER environment variable!"
  exit 1
fi
\$browser \$url
EOF
chmod 755 %{buildroot}%{_libdir}/%{name}/scripts/%{name}

# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert images/themes/default/title.png -resize 16x16  %{buildroot}%{_miconsdir}/%{name}.png
convert images/themes/default/title.png -resize 32x32  %{buildroot}%{_iconsdir}/%{name}.png
convert images/themes/default/title.png -resize 48x48  %{buildroot}%{_liconsdir}/%{name}.png

# install menu entry.
install -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}): needs=X11 \
section="More Applications/Databases" \
title="phpPgAdmin" \
longtitle="phpPgAdmin is a web adminstration GUI for PostgreSQL.  Set the $BROWSER environment variable to choose your preferred browser." \
command="%{_libdir}/%{name}/scripts/%{name} 1>/dev/null 2>/dev/null" \
icon="%{name}.png" \
xdg=true
EOF

# XDG menu
install -d %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=phpPgAdmin
Comment=%{summary}
Exec=%{_libdir}/%{name}/scripts/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Databases;
EOF

%post
ccp --delete --ifexists --set "NoOrphans" --ignoreopt config_version --oldfile %{_sysconfdir}/%{name}/config.inc.php --newfile %{_sysconfdir}/%{name}/config.inc.php.rpmnew
%_post_webapp
%update_menus
%update_desktop_database

%postun
%_postun_webapp
%clean_menus
%clean_desktop_database

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CREDITS DEVELOPERS FAQ HISTORY INSTALL LICENSE TODO TRANSLATORS sql/reports-pgsql.sql
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/%{name}.conf
%dir %attr(0755,root,root) %{_sysconfdir}/%{name}
%attr(0640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/config.inc.php
/var/www/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/scripts/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Mon Aug 21 2006 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-4mdv2007.0
- deactivate the ssl redirection per default
- fix xdg menu stuff

* Sun May 14 2006 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-3mdk
- fix a menuentry
- add mod_rewrite rules to enforce ssl connections
- fix deps

* Mon Apr 17 2006 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-2mdk
- use ccp for the config
- drop the /admin/ location and use the webapps policy

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-1mdk
- 4.0.1 (Major bugfixes)
- make the install more simple

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 3.5.3-1mdk
- 2.5.3

* Fri Feb 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 3.5.2-1mdk
- 3.5.2
- strip away annoying ^M

* Wed Dec 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.5.1-1mdk
- 3.5.1

* Tue Nov 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.5-1mdk
- 3.5

* Sun Apr 11 2004 Geza Gemes <geza@kzsdabas.sulinet.hu> 3.3.1-1mdk
- 3.3.1
- Changed ADODB install mode to reflect better the original tarbals structure
- Changed location of css file to go to themes/default

* Wed Dec 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Mon Sep 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.1-1mdk
- 3.1
- reworked the spec file

* Sun Mar  2 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.4.2-5mdk
- fix requires [bug 2460]
 
* Wed Jan 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.4.2-4mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.2-3mdk
- build release

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.2-2mdk
- misc spec file fixes
- install in common and relocatable %%{webadminroot}/ directory

* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.2-1mdk
- Version 2.4.2.
- updated URL.
- no %%postun needed.

* Mon Apr 08 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.4.1-1mdk
- Version 2.4.1.

* Mon Mar 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.4a-1mdk
- official release 2.4a (major security fix and few bug fixes).
- Remove distribution tag.
- Updated URL.

* Thu Nov 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.3-4mdk
- Fix strange-permissions and no-url warning in rpmlint.

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.3-3mdk
- Make rpmlint happier.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.3-2mdk
- s/PostgreSQL/postgresql in require.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.3-1mdk
- first rpm distribution.
